Start typing to search.

API Reference

List task versions

View Markdown
GET /api/tasks/{id}/versions

List task versions

Operation IDlistTaskVersions

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Path parameters

idintegerrequired

Resource ID

Query parameters

cursorstring

Pagination cursor from a previous response

limitinteger

Success response body

200Paginated list of versions

Paginated list of versions

Content typeapplication/json

responseobject
4 properties
resultarray<TaskVersion>required
Array items
itemobject
7 properties
idinteger
task_idinteger
versioninteger
yaml_contentstring
connector_refsstring | null
change_summarystring | null
created_atstring · date-time
nextCursorstring
prevCursorstring
totalinteger

Total number of records matching the current filters